import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/getRightMenu', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/getSearchList', 'GET', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/getSearchCondition', 'GET', params);
}

export const getForm = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/getContractTypeForm?is_multilang_set=true', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/delete', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/contracttype/edit', 'POST', params);
}